Sets the image compression quality

- « Imagick::setImageCompression

- Imagick::setImageDelay »

- PHP Manual
- Imagick
- Sets the image compression quality

# Imagick::setImageCompressionQuality

(PECL imagick 2, PECL imagick 3)

Imagick::setImageCompressionQuality — Sets the image compression quality

### Description

public Imagick::setImageCompressionQuality(int `$quality`): bool

Sets the image compression quality.

### Parameters

`quality`

  The image compression quality as an integer

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::setImageCompressionQuality()

    <?phpfunction setImageCompressionQuality($imagePath, $quality) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->setImageCompressionQuality($quality);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>